io.undertow.server.handlers.sse

## Class ServerSentEventHandler

- java.lang.Object
- - io.undertow.server.handlers.sse.ServerSentEventHandler

All Implemented Interfaces:
  HttpHandler

    public class ServerSentEventHandler
    extends Object
    implements HttpHandler

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ServerSentEventHandler()`
`ServerSentEventHandler(ServerSentEventConnectionCallback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<ServerSentEventConnection>` `getConnections()`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerSentEventHandler

    public ServerSentEventHandler(ServerSentEventConnectionCallback callback)

#### ServerSentEventHandler

    public ServerSentEventHandler()

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### getConnections

    public Set<ServerSentEventConnection> getConnections()